Subject: Re: bug#43205: 28.0.50; Eldoc protocol not useful for third-party packages

From: Yuan Fu <[email-masked]>
Date: Fri, 4 Sep 2020 15:03:24 -0400

> On Sep 4, 2020, at 2:32 PM, João Távora <[email-masked]> wrote:
> 
> Acknowledged. The latest eldoc in master is a work in progress.This in on my to-do list. Soon I'll improve the documentation, as well as specifying what the "display engine" is supposed to be.
> 
> I think, this will be quite useful when (re) designing your eldoc-box extension, Yuan. Maybe that extension could even be included into Emacs itself.

Indeed, I’m looking at the new eldoc to see if I can remove some unnecessary complications introduced by the incompetence of the old protocol. Thanks for working on this.

Yuan